import config from "config";

const constants = config.get('constants')

const rewrites = async () => {
  return [
    {
      source: "/orbisapi/:path*",
      destination: "http://localhost:9000/:path*" // Proxy to Backend
    }
  ]
}

/** @type {import('next').NextConfig} */
const nextConfig = {
  env: {
    ...constants
  },
  images: {
    domains: ["www.via-asesores.com", "gt.via-asesores.com"],
    unoptimized: true
  },
  assetPrefix: constants.publicPath,
  basePath: constants.publicPath,
  compiler: {
    styledComponents: true
  },
  rewrites,
  reactStrictMode: true,
  swcMinify: true,
  eslint: {
    ignoreDuringBuilds: true
  }
};

export default nextConfig;
