"use client"

import * as React from "react"
import LoadingProvider from "@/plugins/LoadingContext";
import I18nProvider from "@/plugins/i18nContext";
import presets from "@/utils/globalPresets";
import ResponsiveContainer from "@/layout/ResponsiveContainer"

import { Portal } from "via-ui/portal"
import { ToastContainer } from "react-toastify"
import { ThemeProvider } from "via-ui/theme-provider"

export function Providers({ children }: Readonly<{ children: React.ReactNode }>) {
  return (
    <ThemeProvider
        attribute="class"
        defaultTheme="system"
        enableSystem
      >
        <I18nProvider locale={"es"} dict={""}>
          <LoadingProvider>
            <Portal>
              {/* @ts-ignore */}
              <ToastContainer
                {...presets.toaster}
                toastClassName={"rounded-lg bg-white text-black shadow-md dark:!bg-black dark:text-white"}
                style={{ zIndex: 99999 }}
              />
            </Portal>
            <ResponsiveContainer>
              {children}
            </ResponsiveContainer>
          </LoadingProvider>
        </I18nProvider>
      </ThemeProvider>
  )
}
