import { twMerge } from "tailwind-merge"

export function cn (...inputs: (string | Record<string, boolean>)[]): string {
  const classes = inputs
    .filter((input) => input)
    .flatMap((input) =>
      typeof input === "object"
        ? Object.entries(input).filter(([, value]) => value).map(([key]) => key)
        : input.split(" ")
    )

  return twMerge(...classes)
}

export function formatDate(input: string | number): string {
  const date = new Date(input)
  return date.toLocaleDateString("en-US", {
    month: "long",
    day: "numeric",
    year: "numeric",
  })
}

export function absoluteUrl(path: string) {
  return `${process.env.publicPath}${path}`
}
