import type { Config } from "tailwindcss"
import { standard, standardThemes } from "via-tailwind"

const themeAppColors = {
  50: "#b3e5fc",
  100: "#81d4fa",
  200: "#4fc3f7",
  300: "#29b6f6",
  400: "#03a9f4",
  500: "#0288d1",
  600: "#0277bd",
  700: "#0260a0",
  800: "#024484",
  900: "#022865",
  950: "#011c4c"
}

const themeTextColors = {
  principal: "#334155",
  disabled: "#cbd5e1"
}

const config: Config = {
  darkMode: "class",
  content: [
    "./src/**/*.{js,ts,jsx,tsx,mdx}",
    "./node_modules/analytics-lib/dist/**/*.{js,ts,jsx,tsx}",
    "./node_modules/vComponents/**/*.{js,ts,jsx,tsx}",
    "./node_modules/via-ui/dist/**/*.{js,ts,jsx,tsx}"
  ],
  theme: {
    extend: {
      colors: {
        "theme-text": themeTextColors,
        "theme-app": themeAppColors
      }
    }
  },
  plugins: [
    standard,
    standardThemes({
      "theme-app": themeAppColors,
      "theme-text": themeTextColors
    })
  ]
}

export default config
